#include <iostream.h>
#include <Inventor/Xt/SoXt.h>
#include <Inventor/Xt/viewers/SoXtExaminerViewer.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/SoDB.h>

int main(int argc, char **argv)
{
    if(argc!=3)
    {
	cerr << "Usage: " << argv[0] << " m|s sceneFile.iv\n\n";
	exit(1);
    }
    
    Widget myWindow = SoXt::init(argv[0]);
    if(myWindow==NULL)
	exit(1);
  
    SoSeparator *root = new SoSeparator;
    root->ref();

    SoNode *result;

    SoInput inventorInput;
    inventorInput.openFile(argv[2]);
    SoDB::read(&inventorInput, result);
    root->addChild(result);

    SoXtExaminerViewer *myViewer = new SoXtExaminerViewer(myWindow);
  
    myViewer->setStereoViewing(argv[1][0]=='s');
    myViewer->setSceneGraph(root);
    myViewer->setTitle("Viewer");
    myViewer->show();

    SoXt::show(myWindow);
    SoXt::mainLoop();
}
