#include <iostream.h>
#include <Inventor/Xt/SoXt.h>
#include <Inventor/Xt/viewers/SoXtExaminerViewer.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/SoDB.h>

#include <Xm/PushBG.h>

int main(int argc, char **argv)
{ char buttonCaption[6][3] = { "A", "B", "C", "D", "E", "F" };
  Arg args[20];
  Widget buttons[6], dumbParent;
  int argcc = 0,i;

    if(argc!=3)
    { cerr << "Usage: " << argv[0] << " m|s FileNAME.iv\n\n";
	  exit(1);
    }
    
    Widget myWindow = SoXt::init(argv[0]);
    if(myWindow==NULL) exit(1);
  
    SoSeparator *root = new SoSeparator;
    root->ref();

    SoNode *result;

    SoInput inventorInput;
    inventorInput.openFile(argv[2]);
    SoDB::read(&inventorInput, result);
    root->addChild(result);

    SoXtExaminerViewer *myViewer = new SoXtExaminerViewer(myWindow);
  
    myViewer->setStereoViewing(argv[1][0]=='s');
    myViewer->setSceneGraph(root);
    myViewer->setTitle("Viewer");
    /*myViewer->setBackgroundColor(SbColor(0.35, 0.35, 0.35));*/
    myViewer->setBackgroundColor(SbColor(0.2, 0.3, 0.6));
    dumbParent = myViewer->getAppPushButtonParent();
    XtSetArg(args[argcc], XmNshadowThickness, 3);
    argcc++;
    XtSetArg(args[argcc], XmNhighlightThickness, 0);
    argcc++;

    for (i=0; i<6 ; i++)
    {   buttons[i] = XmCreatePushButtonGadget(dumbParent,
                       buttonCaption[i],
                       args, argc);
 
       myViewer->addAppPushButton(buttons[i]);
    }  
    myViewer->show();

    SoXt::show(myWindow);
    SoXt::mainLoop();
}
